Update Opportunity Status

http
PUT https://services.leadconnectorhq.com/opportunities/{id}/status

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYesyWQobCRIhRguQtD2llvkOpportunity Id

Body

NameTypeRequiredExampleDescription
statusstringYesPossible values: 'open', 'won', 'lost', 'abandoned', 'all'
lostReasonIdstringNoCLu7BaljjqrEjBGKTNNelost reason Id

Responses

200 - Successful response
  • succeded (boolean): Example: True

json
{
  "succeded": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/opportunities/YOUR_id/status' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "open",
  "lostReasonId": "CLu7BaljjqrEjBGKTNNe"
}'

Last updated October 26, 2026

Was this page helpful?